Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Core/Document.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Core/Document.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Core/Document.cs	(revision 4068)
@@ -1,131 +1,111 @@
 //To localize the descriptions see http://groups.google.be/group/microsoft.public.dotnet.languages.csharp/browse_thread/thread/3bb6895b49d7cbe/e3241b7fa085ba90?lnk=st&q=csharp+attribute+resource+file&rnum=4#e3241b7fa085ba90
-using System;
-using System.Collections.Generic;
-using System.Text;
-using System.Drawing;
-using System.ComponentModel;
-using System.Runtime.Serialization;
-using System.Xml.Serialization;
-namespace Netron.Diagramming.Core
-{
-    // ----------------------------------------------------------------------
+namespace Netron.Diagramming.Core {
+  // ----------------------------------------------------------------------
+  /// <summary>
+  /// The document class represents the root of the controls' data 
+  /// hierarchy. The document is the root of the serialization graph and 
+  /// contains both the data of the diagram(s) and the metadata (or user 
+  /// information).
+  /// </summary>
+  // ----------------------------------------------------------------------
+  public partial class Document : IVersion {
+    #region Fields
+
+    // ------------------------------------------------------------------
     /// <summary>
-    /// The document class represents the root of the controls' data 
-    /// hierarchy. The document is the root of the serialization graph and 
-    /// contains both the data of the diagram(s) and the metadata (or user 
-    /// information).
+    /// Implementation of IVersion - the current version of 
+    /// Document.
     /// </summary>
-    // ----------------------------------------------------------------------
-    public partial class Document : IVersion
-    {
-        #region Fields
+    // ------------------------------------------------------------------
+    protected const double documentVersion = 1.0;
 
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Implementation of IVersion - the current version of 
-        /// Document.
-        /// </summary>
-        // ------------------------------------------------------------------
-        protected const double documentVersion = 1.0;
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Pointer to the model.
+    /// </summary>       
+    // ------------------------------------------------------------------
+    protected IModel mModel;
 
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Pointer to the model.
-        /// </summary>       
-        // ------------------------------------------------------------------
-        protected IModel mModel;
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// The Information field.
+    /// </summary>
+    // ------------------------------------------------------------------
+    protected DocumentInformation mInformation;
 
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// The Information field.
-        /// </summary>
-        // ------------------------------------------------------------------
-        protected DocumentInformation mInformation;
+    #endregion
 
-        #endregion
+    #region Properties
 
-        #region Properties
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Gets the current version.
+    /// </summary>
+    // ------------------------------------------------------------------
+    public virtual double Version {
+      get {
+        return documentVersion;
+      }
+    }
 
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Gets the current version.
-        /// </summary>
-        // ------------------------------------------------------------------
-        public virtual double Version
-        {
-            get
-            {
-                return documentVersion;
-            }
-        }
-
-        /// <summary>
-        /// Gets or sets the Information
-        /// </summary>
-        public DocumentInformation Information
-        {
-            get
-            {
-                return mInformation;
-            }
-            set
-            {
-                mInformation = value;
-            }
-        }
+    /// <summary>
+    /// Gets or sets the Information
+    /// </summary>
+    public DocumentInformation Information {
+      get {
+        return mInformation;
+      }
+      set {
+        mInformation = value;
+      }
+    }
 
 
-        /// <summary>
-        /// Gets the model.
-        /// </summary>
-        /// <value>The model.</value>
-        public IModel Model
-        {
-            get
-            {
-                return mModel;
-            }
+    /// <summary>
+    /// Gets the model.
+    /// </summary>
+    /// <value>The model.</value>
+    public IModel Model {
+      get {
+        return mModel;
+      }
+    }
+
+    #endregion
+
+    #region Constructor
+    ///<summary>
+    ///Default constructor. Creates a new document and, hence, a new model with one default page and one default layer.
+    ///</summary>
+    public Document() {
+      mModel = new Model();
+      mInformation = new DocumentInformation();
+    }
+
+
+    #endregion
+
+    #region Methods
+
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Loops through all pages and returns ALL entities that belong to
+    /// this Document.
+    /// </summary>
+    /// <returns>CollectionBase</returns>
+    // ------------------------------------------------------------------
+    public CollectionBase<IDiagramEntity> GetAllEntities() {
+      CollectionBase<IDiagramEntity> entities =
+              new CollectionBase<IDiagramEntity>();
+      foreach (IPage page in this.mModel.Pages) {
+        foreach (ILayer layer in page.Layers) {
+          entities.AddRange(layer.Entities);
         }
+      }
+      return entities;
+    }
 
-        #endregion
+    #endregion
 
-        #region Constructor
-        ///<summary>
-        ///Default constructor. Creates a new document and, hence, a new model with one default page and one default layer.
-        ///</summary>
-        public Document()
-        {
-            mModel = new Model();
-            mInformation = new DocumentInformation();
-        }
-
-    
-        #endregion
-
-        #region Methods
-
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Loops through all pages and returns ALL entities that belong to
-        /// this Document.
-        /// </summary>
-        /// <returns>CollectionBase</returns>
-        // ------------------------------------------------------------------
-        public CollectionBase<IDiagramEntity> GetAllEntities()
-        {
-            CollectionBase<IDiagramEntity> entities =
-                    new CollectionBase<IDiagramEntity>();
-            foreach (IPage page in this.mModel.Pages)
-            {
-                foreach (ILayer layer in page.Layers)
-                {
-                    entities.AddRange(layer.Entities);
-                }
-            }
-            return entities;
-        }
-
-        #endregion
-           
-    }
+  }
 }
Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Core/DocumentInformation.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Core/DocumentInformation.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Core/DocumentInformation.cs	(revision 4068)
@@ -1,106 +1,89 @@
 using System;
-using System.Collections.Generic;
-using System.Text;
-using System.Drawing;
-using System.ComponentModel;
-using System.Runtime.Serialization;
-using System.Xml.Serialization;
-using System.Diagnostics;
-using System.Xml.Schema;
 
-namespace Netron.Diagramming.Core
-{
+namespace Netron.Diagramming.Core {
+  /// <summary>
+  /// The meta-data (author, date, description) related to a diagram is collected in this class
+  /// </summary>
+  public partial class DocumentInformation : IVersion {
+    #region Fields
+
+    // ------------------------------------------------------------------
     /// <summary>
-    /// The meta-data (author, date, description) related to a diagram is collected in this class
+    /// Implementation of IVersion - the current version of 
+    /// DocumentInformation.
     /// </summary>
-    public partial class DocumentInformation : IVersion
-    {
-        #region Fields
+    // ------------------------------------------------------------------
+    protected const double documentInformationVersion = 1.0;
 
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Implementation of IVersion - the current version of 
-        /// DocumentInformation.
-        /// </summary>
-        // ------------------------------------------------------------------
-        protected const double documentInformationVersion = 1.0;
+    /// <summary>
+    /// the CreationDate field
+    /// </summary>
+    private string mCreationDate = DateTime.Now.ToString();
+    /// <summary>
+    /// the field
+    /// </summary>
+    private string mAuthor = string.Empty;
+    /// <summary>
+    /// the Description field
+    /// </summary>
+    private string mDescription = string.Empty;
+    /// <summary>
+    /// the Title field
+    /// </summary>
+    private string mTitle = string.Empty;
+    #endregion
 
-        /// <summary>
-        /// the CreationDate field
-        /// </summary>
-        private string mCreationDate = DateTime.Now.ToString();
-        /// <summary>
-        /// the field
-        /// </summary>
-        private string mAuthor = string.Empty;
-        /// <summary>
-        /// the Description field
-        /// </summary>
-        private string mDescription = string.Empty;
-        /// <summary>
-        /// the Title field
-        /// </summary>
-        private string mTitle = string.Empty;
-        #endregion
+    #region Properties
 
-        #region Properties
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Gets the current version.
+    /// </summary>
+    // ------------------------------------------------------------------
+    public virtual double Version {
+      get {
+        return documentInformationVersion;
+      }
+    }
 
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Gets the current version.
-        /// </summary>
-        // ------------------------------------------------------------------
-        public virtual double Version
-        {
-            get
-            {
-                return documentInformationVersion;
-            }
-        }
-        
-        /// <summary>
-        /// Gets or sets the 
-        /// </summary>
-        public string Author
-        {
-            get { return mAuthor; }
-            set { mAuthor = value; }
-        }
-        /// <summary>
-        /// Gets or sets the Description
-        /// </summary>
-        public string Description
-        {
-            get { return mDescription; }
-            set { mDescription = value; }
-        }
-        /// <summary>
-        /// Gets or sets the Title
-        /// </summary>
-        public string Title
-        {
-            get { return mTitle; }
-            set { mTitle = value; }
-        }
-        /// <summary>
-        /// Gets or sets the CreationDate
-        /// </summary>
-        public string CreationDate
-        {
-            get { return mCreationDate; }
-            set { mCreationDate = value; }
-        }
-        #endregion
+    /// <summary>
+    /// Gets or sets the 
+    /// </summary>
+    public string Author {
+      get { return mAuthor; }
+      set { mAuthor = value; }
+    }
+    /// <summary>
+    /// Gets or sets the Description
+    /// </summary>
+    public string Description {
+      get { return mDescription; }
+      set { mDescription = value; }
+    }
+    /// <summary>
+    /// Gets or sets the Title
+    /// </summary>
+    public string Title {
+      get { return mTitle; }
+      set { mTitle = value; }
+    }
+    /// <summary>
+    /// Gets or sets the CreationDate
+    /// </summary>
+    public string CreationDate {
+      get { return mCreationDate; }
+      set { mCreationDate = value; }
+    }
+    #endregion
 
-        #region Constructor
-        ///<summary>
-        ///Default constructor
-        ///</summary>
-        public DocumentInformation()
-        {
-        	
-        }
-        #endregion
- 
+    #region Constructor
+    ///<summary>
+    ///Default constructor
+    ///</summary>
+    public DocumentInformation() {
+
     }
+    #endregion
+
+  }
 }
Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Core/Grid.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Core/Grid.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Core/Grid.cs	(revision 4068)
@@ -1,71 +1,62 @@
 using System;
-using System.Collections.Generic;
-using System.Text;
 using System.Drawing;
-using System.Windows.Forms;
 using System.Drawing.Drawing2D;
 
-namespace Netron.Diagramming.Core
-{
-    public class Grid
-    {
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Constructor.
-        /// </summary>
-        // ------------------------------------------------------------------
-        public Grid()
-        {
-        }
+namespace Netron.Diagramming.Core {
+  public class Grid {
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Constructor.
+    /// </summary>
+    // ------------------------------------------------------------------
+    public Grid() {
+    }
 
-        public static void Paint(
-            Graphics g, 
-            RectangleF area,
-            float horizontalSpacing,
-            float verticalSpacing,
-            float penWidth)
-        {
-            //ControlPaint.DrawGrid(
-            //    g,
-            //    area,
-            //    new Size(20, 20),
-            //    Color.Wheat);
+    public static void Paint(
+        Graphics g,
+        RectangleF area,
+        float horizontalSpacing,
+        float verticalSpacing,
+        float penWidth) {
+      //ControlPaint.DrawGrid(
+      //    g,
+      //    area,
+      //    new Size(20, 20),
+      //    Color.Wheat);
 
-            //g.SmoothingMode = SmoothingMode.HighQuality;
-            //g.CompositingQuality = CompositingQuality.HighQuality;
-            //g.InterpolationMode = InterpolationMode.HighQualityBicubic;
-            g.SetClip(area);
-            float sideLength = Math.Min(area.Width, area.Height);
-            float horizSpacing = sideLength / horizontalSpacing;
-            float vertSpacing = sideLength / verticalSpacing;
+      //g.SmoothingMode = SmoothingMode.HighQuality;
+      //g.CompositingQuality = CompositingQuality.HighQuality;
+      //g.InterpolationMode = InterpolationMode.HighQualityBicubic;
+      g.SetClip(area);
+      float sideLength = Math.Min(area.Width, area.Height);
+      float horizSpacing = sideLength / horizontalSpacing;
+      float vertSpacing = sideLength / verticalSpacing;
 
-            Pen majorPen = new Pen(Color.DarkGray);
-            majorPen.Width = penWidth;
-            majorPen.DashStyle = DashStyle.Dot;
+      Pen majorPen = new Pen(Color.DarkGray);
+      majorPen.Width = penWidth;
+      majorPen.DashStyle = DashStyle.Dot;
 
-            float top = area.Top;  // The top y coord.
-            float bottom = area.Bottom;  // The bottom y coord.
-            float left = area.Left;  // The left y coord.
-            float right = area.Right;  // The right y coord.
-            PointF p1;  // The starting point for the grid line.
-            PointF p2;  // The end point for the grid line.
+      float top = area.Top;  // The top y coord.
+      float bottom = area.Bottom;  // The bottom y coord.
+      float left = area.Left;  // The left y coord.
+      float right = area.Right;  // The right y coord.
+      PointF p1;  // The starting point for the grid line.
+      PointF p2;  // The end point for the grid line.
 
-            // Draw the horizontal lines, starting at the top.
-            for (float i = top; i <= bottom; i += horizontalSpacing)
-            {
-                p1 = new PointF(left, i);
-                p2 = new PointF(right, i);
-                g.DrawLine(majorPen, p1, p2);
-            }
+      // Draw the horizontal lines, starting at the top.
+      for (float i = top; i <= bottom; i += horizontalSpacing) {
+        p1 = new PointF(left, i);
+        p2 = new PointF(right, i);
+        g.DrawLine(majorPen, p1, p2);
+      }
 
-            // Draw the major vertical lines, starting at the left edge.
-            for (float i = left; i <= right; i += verticalSpacing)
-            {
-                p1 = new PointF(i, top);
-                p2 = new PointF(i, bottom);
-                g.DrawLine(majorPen, p1, p2);
-            }
-            g.ResetClip();
-        }
+      // Draw the major vertical lines, starting at the left edge.
+      for (float i = left; i <= right; i += verticalSpacing) {
+        p1 = new PointF(i, top);
+        p2 = new PointF(i, bottom);
+        g.DrawLine(majorPen, p1, p2);
+      }
+      g.ResetClip();
     }
+  }
 }
Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Core/Interfaces/IAction.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Core/Interfaces/IAction.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Core/Interfaces/IAction.cs	(revision 4068)
@@ -1,28 +1,23 @@
-using System;
-using System.Drawing;
-using System.Windows.Forms;
-namespace Netron.Diagramming.Core
-{
-	/// <summary>
-	/// This defines what an action is on the model.
-	/// </summary>
-	public interface IAction : IActivity
-	{
+namespace Netron.Diagramming.Core {
+  /// <summary>
+  /// This defines what an action is on the model.
+  /// </summary>
+  public interface IAction : IActivity {
 
-		#region Events
+    #region Events
 
-		#endregion
+    #endregion
 
-		#region Properties
-        /// <summary>
-        /// Gets or sets the model.
-        /// </summary>
-        /// <value>The model.</value>
-        IModel Model {get; set;}
-		#endregion
+    #region Properties
+    /// <summary>
+    /// Gets or sets the model.
+    /// </summary>
+    /// <value>The model.</value>
+    IModel Model { get; set; }
+    #endregion
 
-		#region Methods
+    #region Methods
 
-		#endregion
-	}
+    #endregion
+  }
 }
Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Core/Interfaces/IActivity.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Core/Interfaces/IActivity.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Core/Interfaces/IActivity.cs	(revision 4068)
@@ -1,79 +1,75 @@
 using System;
-using System.Drawing;
-using System.Windows.Forms;
-namespace Netron.Diagramming.Core
-{
-    // ----------------------------------------------------------------------
-	/// <summary>
-	/// This defines what an action or activity is on the diagram, which can 
-    /// be a data manipulation or layout or an asynchronuous dump of data.
+namespace Netron.Diagramming.Core {
+  // ----------------------------------------------------------------------
+  /// <summary>
+  /// This defines what an action or activity is on the diagram, which can 
+  /// be a data manipulation or layout or an asynchronuous dump of data.
+  /// </summary>
+  // ----------------------------------------------------------------------
+  public interface IActivity {
+    // In the final analysis, your understanding of how to do construction 
+    // determines how good a programmer you are.
+
+    #region Events
+    /// <summary>
+    /// 
     /// </summary>
-    // ----------------------------------------------------------------------
-	public interface IActivity 
-	{
-        // In the final analysis, your understanding of how to do construction 
-        // determines how good a programmer you are.
+    event EventHandler OnActivityRun;
 
-		#region Events
-        /// <summary>
-        /// 
-        /// </summary>
-        event EventHandler OnActivityRun;
+    #endregion
 
-		#endregion
+    #region Properties
+    /// <summary>
+    /// Gets or sets a value indicating whether this <see cref="T:IActivity"/> is enabled.
+    /// </summary>
+    /// <value><c>true</c> if enabled; otherwise, <c>false</c>.</value>
+    bool Enabled { get; set; }
+    /// <summary>
+    /// Gets or sets the step time.
+    /// </summary>
+    /// <value>The step time.</value>
+    TimeSpan StepTime { get; set; }
+    /// <summary>
+    /// Gets or sets the start time.
+    /// </summary>
+    /// <value>The start time.</value>
+    DateTime StartTime { get; set; }
+    /// <summary>
+    /// Gets the duration of the activity.
+    /// </summary>
+    /// <value>The duration.</value>
+    TimeSpan Duration { get; }
+    /// <summary>
+    /// Gets the name.
+    /// </summary>
+    /// <value>The name.</value>
+    string Name { get; }
 
-		#region Properties
-        /// <summary>
-        /// Gets or sets a value indicating whether this <see cref="T:IActivity"/> is enabled.
-        /// </summary>
-        /// <value><c>true</c> if enabled; otherwise, <c>false</c>.</value>
-        bool Enabled { get; set;}
-        /// <summary>
-        /// Gets or sets the step time.
-        /// </summary>
-        /// <value>The step time.</value>
-        TimeSpan StepTime { get; set;}
-        /// <summary>
-        /// Gets or sets the start time.
-        /// </summary>
-        /// <value>The start time.</value>
-        DateTime StartTime { get; set;}
-        /// <summary>
-        /// Gets the duration of the activity.
-        /// </summary>
-        /// <value>The duration.</value>
-        TimeSpan Duration { get; }
-        /// <summary>
-        /// Gets the name.
-        /// </summary>
-        /// <value>The name.</value>
-        string Name { get;}
+    #endregion
 
-		#endregion
+    #region Methods
+    /// <summary>
+    /// Runs the activity
+    /// </summary>
+    void Run();
 
-		#region Methods
-		/// <summary>
-		/// Runs the activity
-		/// </summary>
-		void Run();
+    /// <summary>
+    /// Runs the specified time.
+    /// </summary>
+    /// <param name="time">The time.</param>
+    void Run(int time);
 
-        /// <summary>
-        /// Runs the specified time.
-        /// </summary>
-        /// <param name="time">The time.</param>
-        void Run(int time);
+    /// <summary>
+    /// Runs the after.
+    /// </summary>
+    /// <param name="firstActivity">The first activity.</param>
+    void RunAfter(IActivity firstActivity);
 
-        /// <summary>
-        /// Runs the after.
-        /// </summary>
-        /// <param name="firstActivity">The first activity.</param>
-        void RunAfter(IActivity firstActivity);
+    /// <summary>
+    /// Stops this instance.
+    /// </summary>
+    void Stop();
 
-        /// <summary>
-        /// Stops this instance.
-        /// </summary>
-        void Stop();
-        
-		#endregion
-	}
+    #endregion
+  }
 }
Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Core/Interfaces/IAnts.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Core/Interfaces/IAnts.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Core/Interfaces/IAnts.cs	(revision 4068)
@@ -1,13 +1,8 @@
-using System;
-using System.Collections.Generic;
-using System.Text;
 
-namespace Netron.Diagramming.Core
-{
-    /// <summary>
-    /// Marching ants interface
-    /// </summary>
-    public interface IAnts : IPaintable
-    {
-    }
+namespace Netron.Diagramming.Core {
+  /// <summary>
+  /// Marching ants interface
+  /// </summary>
+  public interface IAnts : IPaintable {
+  }
 }
Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Core/Interfaces/IAttachmentCallback.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Core/Interfaces/IAttachmentCallback.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Core/Interfaces/IAttachmentCallback.cs	(revision 4068)
@@ -1,16 +1,12 @@
 using System;
-using System.Collections.Generic;
-using System.Text;
 
-namespace Netron.Diagramming.Core
-{
-    /// <summary>
-    /// Interface to be returned by <see cref="IDiagramEntity"/>'s if additional actions have to be executed
-    /// after being added to the <see cref="Model"/>. The object implementing this interface should be returned by the <see cref="IServiceProvider.GetService"/>method.
-    /// 
-    /// </summary>
-    interface IAdditionCallback
-    {
-        void OnAddition();
-    }
+namespace Netron.Diagramming.Core {
+  /// <summary>
+  /// Interface to be returned by <see cref="IDiagramEntity"/>'s if additional actions have to be executed
+  /// after being added to the <see cref="Model"/>. The object implementing this interface should be returned by the <see cref="IServiceProvider.GetService"/>method.
+  /// 
+  /// </summary>
+  interface IAdditionCallback {
+    void OnAddition();
+  }
 }
Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Core/Interfaces/IBundle.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Core/Interfaces/IBundle.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Core/Interfaces/IBundle.cs	(revision 4068)
@@ -1,37 +1,31 @@
-using System;
-using System.Drawing;
-using System.Collections.Generic;
-using System.Text;
 
-namespace Netron.Diagramming.Core
-{
+namespace Netron.Diagramming.Core {
+  /// <summary>
+  /// Interface of a <see cref="Bundle"/>
+  /// </summary>
+  public interface IBundle : IDiagramEntity {
+    // ------------------------------------------------------------------
     /// <summary>
-    /// Interface of a <see cref="Bundle"/>
+    /// Gets the entities in the <see cref="Bundle"/>
     /// </summary>
-    public interface IBundle : IDiagramEntity
-    {
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Gets the entities in the <see cref="Bundle"/>
-        /// </summary>
-        /// <value>The entities.</value>
-        // ------------------------------------------------------------------
-        CollectionBase<IDiagramEntity> Entities { get;}
-        
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Sets the 'IsSelected' property to false for all entities in the 
-        /// bundle.
-        /// </summary>
-        // ------------------------------------------------------------------
-        void DeSelectAll();
+    /// <value>The entities.</value>
+    // ------------------------------------------------------------------
+    CollectionBase<IDiagramEntity> Entities { get; }
 
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Sets the 'Hovered' property for all entities in the bundle to
-        /// the value specified.
-        /// </summary>
-        // ------------------------------------------------------------------
-        void SetHovered(bool isHovered);
-    }
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Sets the 'IsSelected' property to false for all entities in the 
+    /// bundle.
+    /// </summary>
+    // ------------------------------------------------------------------
+    void DeSelectAll();
+
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Sets the 'Hovered' property for all entities in the bundle to
+    /// the value specified.
+    /// </summary>
+    // ------------------------------------------------------------------
+    void SetHovered(bool isHovered);
+  }
 }
